Description

| don't think this is a Kepler bug but | want to record my notes somewhere:

| was able to get the DataTurbine server to crash the JRE around 10 times today. Sometimes the JRE would leave a log file, |
submitted one to Sun. | was using DT 3.2b5 but moved to 3.2b6, but this didn't seem to help. Likewise | moved the client (Kepler DT
actor) from 3.2b5 to 3.2b6, to no avail. | was able to crash the server using both Ubuntu w/ java 1.6.0_26-b03 and osX 10.6 w/ java
1.6.0_29-b11-402-10M3527. I'm in the process of doing some cleanup on the DT actor, but | verified these crashes would occur with
none of the new changes. Generally the procedure was I'd run the growingDegreeDays workflow requesting 1 day of data. After
about 6-10 iterations of this workflow in succession the server would crash.

This hasn't been well vetted but what seems to have "fixed" it is starting the server with a larger archiveSize -- | bumped from 500000
to 1000000. Recently | loaded a lot more data to the reap02 channels, so perhaps that's why this has only recently cropped up. I've
now run the GDD workflow requesting 100 days of data 10 times, and no crash w/ the 3.2b6 DT server on my mac. I'm going to run a
long stress test over night and see what happens.

History

#1 - 03/29/2012 06:05 PM - Derik Barseghian

A correction: | changed cacheSize to 1000000, not archiveSize (which my Source sets to cacheSize*10).
With that change, DT 3.2b6 has stopped crashing the JRE on my mac -- | ran 500 iterations of GDD requesting 300days each time with no failure.

However the change doesn't help nibbler (ubuntu 10.04 in a VM w/ 500MB RAM). On nibbler | also tried doubling the cache size to 2000000.
Continued to crash. After that | tried recompiling my feeder program and running RBNB under jdk1.6.0_31. Continued to crash. | also tried halving the
original size to 50000, but same story.

| tried on my dedicated ubuntu 10.04 ubuntu box w/ java 1.6.0_26-b03 w/ cacheSize 1000000, and successfully ran 500 iterations of GDD requesting
300days each time.

So the remaining crashing seems specific to nibbler. VM? RAM? | doubt it's java at this point, but to be thorough:

Working Mac:

nceas-macbook05:~ derik$ java -version

java version "1.6.0_29"

Java(TM) SE Runtime Environment (build 1.6.0_29-b11-402-10M3527)
Java HotSpot(TM) 64-Bit Server VM (build 20.4-b02-402, mixed mode)

Working Ubuntu PC:

barseghian@ubuntu:~$ java -version

java version "1.6.0_26"

Java(TM) SE Runtime Environment (build 1.6.0_26-b03)

Java HotSpot(TM) Client VM (build 20.1-b02, mixed mode, sharing)

Not working nibbler Ubuntu VM:

barseghian@nibbler:~$ java -version

java version "1.6.0_26"

Java(TM) SE Runtime Environment (build 1.6.0_26-b03)

Java HotSpot(TM) 64-Bit Server VM (build 20.1-b02, mixed mode)

Not working alternative nibbler:

barseghian@nibbler:~$ ./jdk-6u31/jdk1.6.0_31/bin/java -version
java version "1.6.0_31"

Java(TM) SE Runtime Environment (build 1.6.0_31-b04)

Java HotSpot(TM) 64-Bit Server VM (build 20.6-b01, mixed mode)
#2 - 04/04/2012 03:12 PM - Derik Barseghian

Nick allocated 1gb, and then 2gb to nibbler, but | continue to be able to crash DT with a few large requests.

#6 - 07/27/2012 02:05 PM - Derik Barseghian

Crashing on nibbler resolves when using older version of java (jdk-6u20-linux-x64.bin).
Probably there's an issue w/ newer versions of 64bit java and RBNB. See:

https://lists.sdsc.edu/pipermail/rbnb-dev/2012/001028.html

#7 - 07/27/2012 04:06 PM - Derik Barseghian

I ran 500 iterations of the GDD workflow configured to request 300days of data as a stress test. No crash using the older version of java on nibbler.

#8 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5582

Files

hs_err_pid2306.log 29.5 KB 07/27/2012 Derik Barseghian
hs_err_pid7368.log 25.6 KB 07/27/2012 Derik Barseghian
hs_err_pid3520.log 26.7 KB 07/27/2012 Derik Barseghian
